<!--
    ---------------------------------------------------------------------- copyright and license ---
    File: NEWS.md
    Copyright 🄯 2022, 2023 Van de Bugger.
    This file is part of Agism.
    SPDX-License-Identifier: FSFAP
    ---------------------------------------------------------------------- copyright and license ---
-->

NEWS
====

This document describes *user-visible changes* in Agism.

4 @ 2099-01-01
--------------

Agism can be built either for old GNOME (pre-45) or new GNOME (45 and later).

3 @ 2023-04-28
--------------

Agism is tested in GNOME 44. It works.

2 @ 2022-09-19
--------------

**Highlight:** Agism sends signal `org.freedesktop.DBus.Properties.PropertiesChanged` when either
`CurrentSource` or `InputSources` property changed. It allows to monitor the current input source
and the list of input sources (i. e. write 3rd-party language indicators).

Agism is tested in GNOME 3.28, 3.32, 3.34, 3.36, 3.38, 40, 41, 42, 43. All these versions are added
to the list of GNOME Shells the Agism is compatible with. Agism is not tested in GNOME 3.30, but
this version is added to the list as well.

Build and install instructions are verified and updated for Fedora, Arch, Debian, Mageia,
OpenMandriva, openSUSE, and Ubuntu.

1 @ 2022-06-01
--------------

The first release.

---
title:      Agism
subtitle:   News
language:   en
...

<!-- end of file -->
